package com.css.simulation.resource.monitor.infra.scheduler;

import com.css.simulation.resource.monitor.app.service.AlgorithmExpandApplicationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class AlgorithmExpandScheduler {

    @Resource
    private AlgorithmExpandApplicationService algorithmExpandApplicationService;

    /**
     * 定时查询算法平台文件并
     */
    @Scheduled(fixedDelay = 60 * 60 * 1000)
    public void sync() {
        // 同步算法平台算法
        algorithmExpandApplicationService.syncAlgorithmExpand();
    }

}
