package com.css.simulation.resource.scheduler.adapter.controller;

import com.css.simulation.resource.scheduler.domain.service.ProjectDomainService;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RefreshScope
@RestController
@RequestMapping("/node")
public class NodeController {
    @Resource
    private ProjectDomainService projectDomainService;

    @PostMapping("/resetParallelism")
    public void re() {
        projectDomainService.resetNodeParallelism();
    }
}
