package com.css.simulation.resource.scheduler.app.entity;

import com.css.simulation.resource.scheduler.infra.configuration.entity.DynamicsEntity;
import com.css.simulation.resource.scheduler.infra.entity.ModelEntity;
import com.css.simulation.resource.scheduler.infra.entity.SensorsEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleEntity {

    private ModelEntity model;
    private DynamicsEntity dynamics;
    private SensorsEntity sensors;

}
