package com.css.simulation.resource.server.infra.db.mysql.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface ModelVehicleMapper {
    @Select("select is_deleted\n" +
            "from model_vehicle\n" +
            "where id = (select vehicle_id\n" +
            "             from model_config\n" +
            "             where id = #{configId})")
    String selectIsDeletedByConfigId(@Param("configId") String configId);
}
