package com.css.simulation.resource.common.infra.acl.entity;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AlgorithmExpandAclEntity {
    @JsonAlias({"id"})
    private String id = "";
    @JsonAlias({"algorithmId"})
    private String algorithmId = "";
    @JsonAlias({"algorithmName"})
    private String algorithmName = "";
    @JsonAlias({"description"})
    private String description = "";
    @JsonAlias({"algorithmType"})
    private String algorithmType = "";
    @JsonAlias({"algorithmVersion", "evaluationName"})
    private String algorithmVersion = "";
    @JsonAlias({"team", "teamName"})
    private String team = "";
    @JsonAlias({"topic", "match"})
    private String topic = "";
}
