package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;


import com.css.simulation.resource.scheduler.infra.db.entity.ScoringRuleEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 场景查询
 * scene_natural
 * scene_standard
 * scene_accident
 */
@Mapper
public interface ScoringRulesMapper {

    @Select("select create_user_id  \n" +
            "from scoring_rules sr \n" +
            "where sr.rules_id = (select package_and_rules from scene_package_sublist sps where sps.sublist_id = #{indexId})")
    String selectCreateUserIdByIndexId(@Param("indexId") String indexId);


    String  selectRuleNameByRulesId(ScoringRuleEntity build);
}
