package com.css.simulation.resource.scheduler.infra.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 					"sensor_name": "120_perfect_sensor",
 * 					"sensor_fovHLeft":   60,
 * 					"sensor_fovHRight":  60,
 * 					"sensor_fovVTop":    10,
 * 					"sensor_fovVBottom": 10,
 * 					"sensor_near": 0,
 * 					"sensor_far": 100,
 * 					"sensor_x": 0,
 * 					"sensor_y": 0,
 * 					"sensor_z": 1.7,
 * 					"sensor_h": 0,
 * 					"sensor_p": 0,
 * 					"sensor_r": 0,
 * 					"sensor_filter": [0,1,5],
 * 					"sensor_display": true,
 * 					"sensor_maxObjects": 10,
 * 					"sensor_port": 62002
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OgtEntity {
    private String sensor_name;
    private BigDecimal sensor_fovHLeft;
    private BigDecimal sensor_fovHRight;
    private BigDecimal sensor_fovVTop;
    private BigDecimal sensor_fovVBottom;
    private BigDecimal sensor_near;
    private BigDecimal sensor_far;
    private BigDecimal sensor_x;
    private BigDecimal sensor_y;
    private BigDecimal sensor_z;
    private BigDecimal sensor_h;
    private BigDecimal sensor_p;
    private BigDecimal sensor_r;
    private String sensor_filter;
    private Boolean sensor_display;
    private Integer sensor_maxObjects;
    private Integer sensor_port;
}
