package com.css.simulation.resource.scheduler.infra.entity;

import api.common.pojo.common.CommonPO;
import lombok.*;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
public class TaskEntity extends CommonPO {
    private String id;
    private String pId;
    private String sceneId;
    private String sceneName;
    private String sceneType;
    private String runState;
    private String runResultFilePath;
    private String returnSceneId;
    private Double score;
    private Boolean scored;
    private String targetEvaluate;
    private String scoreExplain;
    private Long maxSimulationTime;
    private String lastTargetId;
    private String createUserId;
    private String timeActual; // 实际用时
    private String timeCorrection; // 修正时间
}
