package com.css.simulation.resource.server.infra.feign.fallback;

import api.common.pojo.param.KafkaParameter;
import com.css.simulation.resource.server.infra.feign.service.KafkaService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class KafkaServiceFallback implements KafkaService {


    @Override
    public void send(KafkaParameter kafkaParameter) {
        log.error("发送消息失败");

    }
}
