package com.css.simulation.resource.server.infra.oauth;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix="oauth")
public class OauthParameter {

    private String resourceId;
    private String checkTokenEndpointUrl;
    private String clientId;
    private String clientSecret;
    private String simulationDefaultPassword = "123456";
}
